Name:		gtg
Version:	0.6.0
Release:	%mkrel 3
Group:		Office/Organizer
License:	GPLv3
Summary:	Organizer for the GNOME desktop environment
URL:		https://wiki.gnome.org/Apps/GTG
Source0:	https://github.com/getting-things-gnome/gtg/releases/download/v0.6/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	meson
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(python3)
BuildRequires:	itstool
#
Requires:	python3dist(liblarch)
Requires:	python3-cairo
Requires:	python3-cheetah
Requires:	python3-configobj
Requires:	python3-dbus
Requires:	python3-gi
Requires:	python3-pyxdg
Recommends:	pdftk-java

# For RTM backend
Recommends:	python3-dateutil
Recommends:	python3-simplejson
# For Mantis backend
Recommends:	python3-suds
# For Bugzilla plugin
Recommends:	python3-bugzilla

%description
Getting Things Gnome! is an organizer for the GNOME desktop environment.

GTG focuses on usability and ease of use. Its main objective is to
provide a simple, powerful and flexible organization tool to the
GNOME desktop environment.

GTG uses a very handy text edition system for task creation and edition.
The task editor can automatically recognize meta-data such as tags
and subtasks only by the use of a very simple syntax.
If you wanna know more about this, please read Getting Started With GTG.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

rm -rf %{buildroot}%{_iconsdir}/ubuntu-mono*

%files -f %{name}.lang
%doc AUTHORS README.md NEWS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{python3_sitelib}/GTG/
%{_datadir}/dbus-1/services/org.gnome.GTG.service
%{_datadir}/applications/org.gnome.GTG.desktop
%{_iconsdir}/hicolor/*/*/*
%{_metainfodir}/org.gnome.GTG.appdata.xml


%changelog
* Mon Mar 10 2025 papoteur <papoteur> 0.6.0-3.mga10
+ Revision: 2162475
- rebuild for python 3.13

* Fri Dec 29 2023 papoteur <papoteur> 0.6.0-2.mga10
+ Revision: 2024372
- rebuild for python 3.12

* Tue Nov 08 2022 papoteur <papoteur> 0.6.0-1.mga9
+ Revision: 1904640
- new 0.6.0
  use GTK4

* Thu Mar 31 2022 umeabot <umeabot> 0.4.0-4.mga9
+ Revision: 1835767
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 0.4.0-3.mga9
+ Revision: 1782879
- Rebuild for python-3.10

* Sat Mar 27 2021 tv <tv> 0.4.0-2.mga9
+ Revision: 1710870
- rebuild for python 3.9

* Sat Jul 11 2020 daviddavid <daviddavid> 0.4.0-1.mga8
+ Revision: 1604431
- new version: 0.4.0 (fixes mga#26927)
- port to python3 like liblarch (mga#26927)
- switch to meson build system

* Thu Sep 20 2018 umeabot <umeabot> 0.3.1-9.mga7
+ Revision: 1278641
- Mageia 7 Mass Rebuild

* Sun Apr 08 2018 kekepower <kekepower> 0.3.1-8.mga7
+ Revision: 1216138
- Rebuild for new liblarch

* Sat Feb 20 2016 umeabot <umeabot> 0.3.1-7.mga6
+ Revision: 972078
- Mageia 6 Mass Rebuild
+ wally <wally>
- fix URL!

* Sun Oct 25 2015 daviddavid <daviddavid> 0.3.1-6.mga6
+ Revision: 895187
- make it noarch thus fixing empty debuginfo
- use new python macros to fix build

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-5.mga5
+ Revision: 742123
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.1-4.mga5
+ Revision: 726452
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-3.mga5
+ Revision: 679994
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat May 31 2014 pterjan <pterjan> 0.3.1-2.mga5
+ Revision: 628243
- Rebuild for new Python

* Fri Mar 07 2014 joequant <joequant> 0.3.1-1.mga5
+ Revision: 600769
- fix icons
+ ofaurax <ofaurax>
- New version 0.3.1

* Tue Oct 22 2013 umeabot <umeabot> 0.3-4.mga4
+ Revision: 542658
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.3-3.mga4
+ Revision: 497769
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jan 12 2013 umeabot <umeabot> 0.3-2.mga3
+ Revision: 352795
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 08 2012 mitya <mitya> 0.3-1.mga3
+ Revision: 316499
- New version 0.3

* Mon Aug 06 2012 wally <wally> 0.2.9-2.mga3
+ Revision: 279450
- require liblarch-gtk (mga#6961)

* Thu Aug 02 2012 wally <wally> 0.2.9-1.mga3
+ Revision: 277955
- add patch to fix and remove unneeded Ayatana parts from desktop file
- new version 0.2.9
- fix summary
- clean spec a bit

* Mon Mar 28 2011 wally <wally> 0.2.4-3.mga1
+ Revision: 78252
- drop buildroot definition
- change group to Office
- clean .spec a bit
- imported package gtg


* Sat Nov 20 2010 Jani Välimaa <wally@mandriva.org> 0.2.4-3mdv2011.0
+ Revision: 599310
- add missing requires
- fix source tag
- fix typo in description
- fix install
- fix file list (don't own system dirs)

* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 0.2.4-2mdv2011.0
+ Revision: 592472
- fix for python 2.7
- rebuild for python 2.7

* Mon Apr 12 2010 Olivier Faurax <ofaurax@mandriva.org> 0.2.4-1mdv2010.1
+ Revision: 533677
- new version 0.2.4

* Sat Mar 13 2010 Olivier Faurax <ofaurax@mandriva.org> 0.2.2-2mdv2010.1
+ Revision: 518750
- Better summary
- correct handling of lang files
- correct handling of man file

* Sat Mar 13 2010 Olivier Faurax <ofaurax@mandriva.org> 0.2.2-1mdv2010.1
+ Revision: 518618
- New version 0.2.2

* Sun Dec 20 2009 Olivier Faurax <ofaurax@mandriva.org> 0.2-1mdv2010.1
+ Revision: 480451
- version 0.2.0 -> 0.2 + new binay gtg_new_task
- new version: GTG 0.2.0

* Sun Dec 20 2009 Olivier Faurax <ofaurax@mandriva.org> 0.1.9-1mdv2010.1
+ Revision: 480300
- Added correct lib dir
- Missing python-devel
- Remove noarch, seems something is arch specific
- Missing pyxdg dependency (2)
- Setting as noarch
- Missing pyxdg dependency
- import gtg


